Subject: bug#26706: closed (Re: bug#26706: mingetty consumes 40% CPU printing the login prompt over and over)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Apr 2018 08:07:02 +0000

Your bug report

#26706: mingetty consumes 40% CPU printing the login prompt over and over

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
26706: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=26706
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#26706: mingetty consumes 40% CPU printing the login prompt over and over
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Cc: [email-masked]
Date: Fri, 06 Apr 2018 10:06:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] skribis:

> As of guix (GNU Guix) 0.14.0.4032-cfb55 I can't reproduce this, and
> haven't seen it since ~ when first reported, so I suggest it be
> closed. TIA - George

Great, thanks for the update.

Subject: mingetty consumes 40% CPU printing the login prompt over and over
From: myglc2 <[email-masked]>
To: [email-masked]
Date: Fri, 28 Apr 2017 21:11:06 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that my headless server running GuixSD was busy when I am not
doing anything. When I looked at top I saw mingetty consuming 40% CPU
...

$ top -o %CPU -n 1 | head -n 25
top - 20:44:13 up 5 days, 12:58,  3 users,  load average: 0.33, 0.33, 0.35
Tasks: 192 total,   1 running, 191 sleeping,   0 stopped,   0 zombie
%Cpu0  :   0.0/0.1     0[                                                                  ]
%Cpu1  :   0.1/2.9     3[||                                                                ]
%Cpu2  :   0.2/4.0     4[|||                                                               ]
%Cpu3  :   0.3/4.9     5[|||                                                               ]
%Cpu4  :   0.2/0.1     0[                                                                  ]
%Cpu5  :   0.2/4.6     5[|||                                                               ]
%Cpu6  :   0.2/4.3     5[|||                                                               ]
%Cpu7  :   0.3/4.1     4[|||                                                               ]
GiB Mem :  6.5/15.610   [                                                                  ]
GiB Swap:  0.0/9.649    [                                                                  ]

  PID USER      PR  NI    VIRT    RES  %CPU %MEM     TIME+ S COMMAND
  384 root      20   0    6.2m   0.3m  40.0  0.0   2386:36 S mingetty
    7 root      20   0    0.0m   0.0m   6.7  0.0   2:20.86 S rcu_sched
 4154 g1        20   0  300.3m 135.1m   6.7  0.8   3:37.67 S emacs
 7431 root      20   0    0.0m   0.0m   6.7  0.0   0:26.07 S kworker/u16:2
 7539 root      20   0    0.0m   0.0m   6.7  0.0   0:06.54 S kworker/u16:0
    1 root      20   0  130.1m  27.9m   0.0  0.2   0:03.22 S shepherd

If I plug in a console display, I see the login prompt is being rapidly
printed over and over. If I hit the console return key the printing
stops and mingetty stops using CPU.

I am running a relatively recent GuixSD built from git checkout ...

g1@g1 ~$ guix --version
guix (GNU Guix) 0.12.0
g1@g1 ~$ stat ~/.config/guix/latest | grep File:
  File: /home/g1/.config/guix/latest -> /home/g1/src/guix/
g1@g1 ~$ git -C ~/.config/guix/latest describe
v0.12.0-3191-g25a49294c
g1@g1 ~$ git -C ~/.config/guix/latest log -n 1 --oneline
25a49294c cache: Work around 'time-monotonic' bug in Guile 2.2.2.

Here is the system config: